BOWKMeansTrainer (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.features2d

## Class BOWKMeansTrainer

- java.lang.Object
- - org.opencv.features2d.BOWTrainer
  - - org.opencv.features2d.BOWKMeansTrainer

-     public class BOWKMeansTrainer
      extends BOWTrainer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.features2d.BOWTrainer

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BOWKMeansTrainer(int clusterCount)`
    `` | `BOWKMeansTrainer(int clusterCount, TermCriteria termcrit, int attempts, int flags)`
    `protected` | `BOWKMeansTrainer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BOWKMeansTrainer` | `__fromPtr__(long addr)`
    `Mat` | `cluster()`
    `Mat` | `cluster(Mat descriptors)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.features2d.BOWTrainer

      `add, clear, descriptorsCount, getDescriptors, getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BOWKMeansTrainer

          protected BOWKMeansTrainer(long addr)

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer(int clusterCount,
                                  TermCriteria termcrit,
                                  int attempts,
                                  int flags)

    - #### BOWKMeansTrainer

          public BOWKMeansTrainer(int clusterCount)

  - ### Method Detail

    - #### __fromPtr__

          public static BOWKMeansTrainer __fromPtr__(long addr)

    - #### cluster

          public Mat cluster(Mat descriptors)

      Overrides:
        `cluster` in class `BOWTrainer`

    - #### cluster

          public Mat cluster()

      Overrides:
        `cluster` in class `BOWTrainer`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BOWTrainer`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown